import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import { ArrowConnector } from './ArrowConnector';
import { StyledStepper } from './styles';
/**
 * @deprecated Причина отказа от поддержки: Отказ от MUI. Используйте компонент `NewStepper`.
 */
export const Stepper = (props) => {
    const { connector, ...restProps } = props;
    const connectorMemo = useMemo(() => {
        if (typeof connector !== 'string') {
            return connector;
        }
        return _jsx(ArrowConnector, {});
    }, [connector]);
    return _jsx(StyledStepper, { ...restProps, connector: connectorMemo });
};
